For the complete documentation index, see llms.txt. This page is also available as Markdown.

DocTypeDefault

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getDocTypeDefault

post

Retrieve DocTypeDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
DocTypeDefaultDocumentTypeintegerRequired
Responses
200

Successful operation.

application/json
post/getDocTypeDefault
POST /nexum/627/2022.01/parameter/getDocTypeDefault HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 166

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DocTypeDefaultDocumentType": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "DocTypeDefault": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getDocTypeDefault"
}

getDocTypeDefaultSelectFields

post

Retrieve DocTypeDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
DocTypeDefaultDocumentTypeintegerOptional
Responses
200

Successful operation.

application/json
post/getDocTypeDefaultSelectFields
POST /nexum/627/2022.01/parameter/getDocTypeDefaultSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 266

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "DocTypeDefaultDocumentType": 0,
  "SelectableFields": {
    "DocTypeDefaultFields": {
      "DocumentType": true,
      "Description": true,
      "Type": true
    }
  }
}
200

Successful operation.

{
  "DocTypeDefault": {
    "Description": "Document Type 0000",
    "DocumentType": 0,
    "ExpireDate": null,
    "Type": 0
  },
  "MessageId": "getDocTypeDefaultSelectFields"
}

getDocTypeDefaultPagedList

post

Retrieve DocTypeDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getDocTypeDefaultPagedList
POST /nexum/627/2022.01/parameter/getDocTypeDefaultPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 238

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0,
    "Token": "example-token"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "DocTypeDefault": [],
  "Token": null,
  "MessageId": "getDocTypeDefaultPagedList"
}

getDocTypeDefaultListSelectFields

post

Retrieve DocTypeDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getDocTypeDefaultListSelectFields
POST /nexum/627/2022.01/parameter/getDocTypeDefaultListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 197

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "IncludeAllDocTypeDefaultFields": true
  }
}
200

Successful operation.

{
  "DocTypeDefaultList": [],
  "MessageId": "getDocTypeDefaultListSelectFields"
}

searchDocTypeDefaultSelectFields

post

Search DocTypeDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/searchDocTypeDefaultSelectFields
POST /nexum/627/2022.01/parameter/searchDocTypeDefaultSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 235

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllDocTypeDefaultFields": true
  },
  "SearchFilter": {
    "Query": "example-query"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "DocTypeDefaultList": [],
  "MessageId": "searchDocTypeDefaultSelectFields"
}

getDocTypeDefaultPagedListSelectFields

post

Retrieve DocTypeDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getDocTypeDefaultPagedListSelectFields
POST /nexum/627/2022.01/parameter/getDocTypeDefaultPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 314

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "DocTypeDefaultFields": {
      "DocumentType": true,
      "Description": true,
      "Type": true
    }
  }
}
200

Successful operation.

{
  "DocTypeDefault": [
    {
      "Description": "Document Type 0000",
      "DocumentType": 0,
      "ExpireDate": null,
      "Type": 0
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "getDocTypeDefaultPagedListSelectFields"
}

searchDocTypeDefaultPagedSelectFields

post

Search DocTypeDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
QuerystringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchDocTypeDefaultPagedSelectFields
POST /nexum/627/2022.01/parameter/searchDocTypeDefaultPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 325

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "Query": "",
  "SelectableFields": {
    "DocTypeDefaultFields": {
      "DocumentType": true,
      "Description": true,
      "Type": true
    }
  }
}
200

Successful operation.

{
  "DocTypeDefault": [
    {
      "Description": "Document Type 0000",
      "DocumentType": 0,
      "ExpireDate": null,
      "Type": 0
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "searchDocTypeDefaultPagedSelectFields"
}

updateDocTypeDefaultByID

post

Update DocTypeDefault parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
DocTypeDefaultDocumentTypeintegerOptional
Responses
200

Successful operation.

application/json
post/updateDocTypeDefaultByID
POST /nexum/627/2022.01/parameter/updateDocTypeDefaultByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 239

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DocTypeDefaultDocumentType": 1,
  "DocTypeDefaultUpdatableFields": {
    "Type": 0,
    "Description": "NEXUM EXAMPLE"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateDocTypeDefaultByID"
}

Last updated

Was this helpful?